﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Esempio4
{
    public partial class Form6 : Form
    {
        public Form6()
        {
            InitializeComponent();
            cascadeToolStripMenuItem.Tag = MdiLayout.Cascade;
            tileHorizontalToolStripMenuItem.Tag = MdiLayout.TileHorizontal;
            tileVerticalToolStripMenuItem.Tag = MdiLayout.TileVertical;
            arrangeIconsToolStripMenuItem.Tag = MdiLayout.ArrangeIcons;
        }

        protected override void OnFormClosing(FormClosingEventArgs e)
        {
            base.OnFormClosing(e);
            if (MessageBox.Show("Sei sicuro?", "Closing", MessageBoxButtons.YesNo,
                                  MessageBoxIcon.Question) == DialogResult.No)
                e.Cancel = true;
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void newToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            Form5 form = new Form5();
            form.Show();
        }

        private void newChildToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form5 form = new Form5();
            form.MdiParent = this;
            form.Show();
        }

        private void newDialToolStripMenuItem_Click(object sender, EventArgs e)
        {
            using (PropertyGridDialog dialog = new PropertyGridDialog())
            {
                dialog.SelectedObject = this;
                DialogResult dialogResult = dialog.ShowDialog();
                MessageBox.Show(dialogResult.ToString());
            }
        }

        private void mdiToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MdiLayout mdiLayout = (MdiLayout) ((ToolStripItem) sender).Tag;
            LayoutMdi(mdiLayout);
        }

        //private void cascadeToolStripMenuItem_Click(object sender, EventArgs e)
        //{
        //    LayoutMdi(MdiLayout.Cascade);
        //}

        //private void tileHorizontalToolStripMenuItem_Click(object sender, EventArgs e)
        //{
        //    LayoutMdi(MdiLayout.TileHorizontal);
        //}

        //private void tileVerticalToolStripMenuItem_Click(object sender, EventArgs e)
        //{
        //    LayoutMdi(MdiLayout.TileVertical);
        //}

        //private void arrangeIconsToolStripMenuItem_Click(object sender, EventArgs e)
        //{
        //    LayoutMdi(MdiLayout.ArrangeIcons);
        //}
    }
}
