﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Esempio4
{
    public partial class LabelView : UserControl
    {
        public LabelView()
        {
            InitializeComponent();
        }

        public string LabelText
        {
            get { return _label.Text; }
            set { _label.Text = value; }
        }

        private void cambiaFontToolStripMenuItem_Click(object sender, EventArgs e)
        {
            using (FontDialog fontDialog = new FontDialog())
            {
                fontDialog.Font = Font;
                if (fontDialog.ShowDialog() == DialogResult.OK)
                    Font = fontDialog.Font;
            }
        }

        private void cambiaForeColorToolStripMenuItem_Click(object sender, EventArgs e)
        {
            using (ColorDialog colorDialog = new ColorDialog())
            {
                colorDialog.Color = ForeColor;
                if (colorDialog.ShowDialog() == DialogResult.OK)
                    ForeColor = colorDialog.Color;
            }
        }

        private void cambiaBackColorToolStripMenuItem_Click(object sender, EventArgs e)
        {
            using (ColorDialog colorDialog = new ColorDialog())
            {
                colorDialog.Color = BackColor;
                if (colorDialog.ShowDialog() == DialogResult.OK)
                    BackColor = colorDialog.Color;
            }
        }

        private void apriPropertyGridToolStripMenuItem_Click(object sender, EventArgs e)
        {
            using (PropertyGridDialog dialog = new PropertyGridDialog())
            {
                dialog.SelectedObject = this;
                DialogResult dialogResult = dialog.ShowDialog();
            }
        }

        private void resetToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Font = null;
            ForeColor = Color.Empty;
            BackColor = Color.Empty;
        }
    }
}
