﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Drawing2D;

namespace Esempio4
{
    public partial class TextButton : Button
    {
        public TextButton()
        {
            InitializeComponent();
        }

        protected override void OnTextChanged(EventArgs e)
        {
            base.OnTextChanged(e);
            ChangeRegion();
        }

        protected override void OnFontChanged(EventArgs e)
        {
            base.OnFontChanged(e);
            ChangeRegion();
        }

        protected override void OnPaint(PaintEventArgs e)
        {
            base.OnPaint(e);
            e.Graphics.FillRegion(new SolidBrush(ForeColor), Region);
        }

        private void ChangeRegion()
        {
            GraphicsPath graphicsPath = new GraphicsPath();
            graphicsPath.AddString(Text, Font.FontFamily, (int) Font.Style, Font.SizeInPoints,
                new PointF(0, 0), StringFormat.GenericDefault);

            #region Traslazione + rotazione del testo

            //graphicsPath.Widen(SystemPens.InfoText);

            //Matrix matrix = new Matrix();
            //matrix.Translate(100, 0);
            //matrix.Rotate(45);
            //graphicsPath.Transform(matrix);

            #endregion

            Region = new Region(graphicsPath);
        }
    }
}
